package com.next.gt;

import java.applet.Applet;
import java.io.FileInputStream;
import java.io.IOException;
import sun.audio.AudioPlayer;
import sun.audio.AudioStream;

public class AudioManager extends Applet implements Runnable {
   private Thread _kicker;
   private int _naptime = 5;
   private boolean _keepRunning = true;
   private boolean playAudioFiles = true;

   public void run() {
      while(this._keepRunning) {
         try {
            Thread.sleep((long)this._naptime);
         } catch (InterruptedException var1) {
         }
      }

   }

   public void start() {
      this._kicker = new Thread(this);
      this._kicker.start();
   }

   public void play(String var1) {
      if (this.playAudioFiles) {
         try {
            AudioStream var2 = new AudioStream(new FileInputStream(var1));
            AudioPlayer.player.start(var2);
         } catch (IOException var3) {
            System.err.println("Can't open audio stream, disabling audio..");
            this.playAudioFiles = false;
         }
      }
   }

   public void resumeplay(String var1) {
      AudioPlayer.player.resume();
   }

   public void stopplay() {
      AudioPlayer.player.suspend();
   }
}
