package com.next.gt;

import java.awt.Image;
import java.awt.MediaTracker;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

public class ImageManager {
   Gamelication owner;

   public ImageManager(Gamelication var1) {
      this(var1, ".cache");
   }

   public ImageManager(Gamelication var1, String var2) {
      int var10 = 0;
      this.owner = var1;
      Image var8 = this.owner.createImage(1, 1);
      File var3 = new File(this.owner.getCodeBase().toString() + "/images/" + var2);
      MediaTracker var9 = new MediaTracker(this.owner);

      try {
         FileReader var4 = new FileReader(var3);
         BufferedReader var5 = new BufferedReader(var4);

         String var6;
         while((var6 = var5.readLine()) != null) {
            ++var10;
            Image var7 = this.owner.getImage(this.owner.getCodeBase(), "images/" + var6 + ".gif");
            var9.addImage(var7, var10);
            this.owner.showStatus("GT: Caching image: " + var6 + ".");

            try {
               var9.waitForID(var10);
            } catch (InterruptedException var12) {
               System.out.println("GT: ImageManager ridiculous image; " + ((Throwable)var12).getMessage());
            }

            var8 = this.owner.createImage(1, 1);
            var8.getGraphics().drawImage(var7, 0, 0, this.owner);
         }

      } catch (IOException var13) {
         System.out.println("GOOF: ImageManager cannot getImage; " + ((Throwable)var13).getMessage());
      }
   }
}
