package com.next.gt;

import java.awt.AWTEvent;
import java.util.Vector;

public class EventManager {
   protected Vector objectsToNotify = new Vector();

   public void registerForEventNotification(Object var1, int[] var2) {
      for(int var4 = 0; var4 < var2.length; ++var4) {
         Vector var5 = new Vector(2);
         int var3 = var2[var4];
         var5.addElement(var1);
         var5.addElement(new Integer(var3));
         this.objectsToNotify.addElement(var5);
      }

   }

   public void registerForSingleEventNotification(Object var1, int var2) {
      Vector var3 = new Vector(2);
      var3.addElement(var1);
      var3.addElement(new Integer(var2));
      this.objectsToNotify.addElement(var3);
   }

   public void removeFromNotificationRegistry(Object var1) {
      for(int var3 = 0; var3 < this.objectsToNotify.size(); ++var3) {
         Vector var2 = (Vector)this.objectsToNotify.elementAt(var3);
         if (var2.contains(var1)) {
            this.objectsToNotify.removeElementAt(var3);
         }
      }

   }

   public boolean handleEvent(AWTEvent var1) {
      boolean var4 = false;

      for(int var5 = 0; var5 < this.objectsToNotify.size(); ++var5) {
         Vector var2 = (Vector)this.objectsToNotify.elementAt(var5);
         Integer var3 = (Integer)var2.elementAt(1);
         if (var1.getID() == var3) {
            EventHandler var6 = (EventHandler)var2.elementAt(0);
            var4 = var6.handleRequestedEvent(var1);
         }
      }

      return var4;
   }
}
