import com.next.gt.Actor;
import com.next.gt.Gamelication;
import java.awt.Image;

public class Bullet extends Actor {
   long startTime;
   long ttl = 1750L;
   Ship explodee;

   Bullet(Gamelication var1, Ship var2) {
      double var3 = var2.getSpeed();
      double var5 = var2.getTheta();
      super.owner = var1;
      this.explodee = var2;
      super.x = this.explodee.x + (double)this.explodee.width / (double)2.0F;
      super.y = this.explodee.y + (double)this.explodee.height / (double)2.0F;
      Image var7 = super.owner.getImage(super.owner.getCodeBase(), "images/bullet.gif");
      ((Actor)this).setImage(var7, 4, 16);
      super.velocity_x = Math.cos(var5) * (var3 + (double)150.0F);
      super.velocity_y = Math.sin(var5 + Math.PI) * (var3 + (double)150.0F);
      super.x += super.velocity_x * 0.1;
      super.y += super.velocity_y * 0.1;
      this.startTime = super.owner.currentTickTimeMillis;
   }

   public void tick() {
      super.tick();
      if (super.owner.currentTickTimeMillis - this.startTime > this.ttl) {
         if (this.explodee.numBullets > 0) {
            --this.explodee.numBullets;
         }

         super.owner.actorManager.removeActor(this);
      }

   }

   protected void collideWithActor(Actor var1) {
      String var2 = var1.getClass().getName();
      if (var2.equals("Asteroid") || var2.equals("Bigoobie")) {
         if (this.explodee.numBullets > 0) {
            --this.explodee.numBullets;
         }

         super.owner.actorManager.removeActor(this);
      }

   }
}
